package org.academiadecodigo.bootcamp.fxlogin.service.user;

import org.academiadecodigo.bootcamp.fxlogin.model.User;
import org.academiadecodigo.bootcamp.fxlogin.persistence.TransactionException;
import org.academiadecodigo.bootcamp.fxlogin.service.Service;

public interface UserService extends Service {

    boolean authenticate(String username, String password);

    void addUser(User user) throws TransactionException;

    User findByName(String username);

    Long count();

}
